﻿@model LoyaltyPointEngine.Model.Parameter.Receipt.UploadReceiptCMSModel
@{
    int detailindex = 0;
    List<SelectListItem> channelList = (List<SelectListItem>)ViewBag.ChannelList;
    List<SelectListItem> retailerList = (List<SelectListItem>)ViewBag.ListRetailer;
    List<SelectListItem> actionList = (List<SelectListItem>)ViewBag.ListAction;
    int totalAll = 0;

}
<!--=== Page Content ===-->
<div class="row">
    <div class="col-md-12">
        <h5 class="widget-title"><i class="icon-sign-blank"></i>Detail Receipt</h5>
    </div>
</div>
@using (Html.BeginForm(MVC.Receipt.Edit(), FormMethod.Post, new { enctype = "multipart/form-data", @class = "form-horizontal row-border", @id = "formEditReceipt" }))
{
    <div class="row">
        <!--=== Validation Example 1 ===-->
        <div class="col-md-12">
            <div class="widget box">
                <div class="widget-header">
                    <h4><i class="icon-reorder"></i>Receipt Header</h4>
                </div>
                <div class="widget-content">
                    @Html.HiddenFor(x => x.ID)
                    <div class="form-group">
                        <label class="col-md-3 control-label">Member</label>
                        <div class="col-md-6">
                            @Html.DisplayFor(x => x.MemberName)
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Code </label>
                        <div class="col-md-9">
                            @Html.DisplayFor(x => x.Code)
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Receipt Code </label>
                        <div class="col-md-9">
                            @Html.DisplayFor(x => x.ReceiptCode)
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Event Code </label>
                        <div class="col-md-9">
                            @Html.DisplayFor(x => x.EventCode)
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Retailer </label>
                        <div class="col-md-9">
                            @Html.DropDownListFor(x => x.RetailerID, ViewBag.ListRetailer as IEnumerable<SelectListItem>, "", new { @class = "select2-select-00 col-md-12 full-width-fix", @required = "required" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Retailer Address </label>
                        <div class="col-md-9">
                            @Html.TextAreaFor(x => x.RetailerAddress, new { @class = "form-control", @required = "" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Transaction Date </label>
                        <div class="col-md-9">
                            @Html.DisplayFor(x => x.StrTransactionDate)
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Transaction Time </label>
                        <div class="col-md-3">
                            @Html.DisplayFor(x => x.StrTransactionTime)
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Request Date </label>
                        <div class="col-md-3">
                            @Html.DisplayFor(x => x.StrRequestDate)
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Campaign </label>
                        <div class="col-md-3">
                            @Html.DisplayFor(x => x.Campaign)
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-md-3 control-label">Channel </label>
                    <div class="col-md-3">
                        @Html.DisplayFor(x => x.Channel)
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-md-3 control-label">Reason </label>
                    <div class="col-md-3">
                        @Html.DisplayFor(x => x.RejectReason)
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-md-3 control-label">Total Price </label>
                    <div class="col-md-3">
                        @Html.DisplayFor(x => x.TotalPrice)
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-md-3 control-label">Image</label>
                    <div class="col-md-9">
                        <div class="slickiiii">
                            @if (Model.Image != null && Model.Image.Count() > 0)
                            {
                                string imageHost = Settings.GetValueByKey(LoyaltyPointEngine.Common.SiteSetting.ASSET_URL);
                                foreach (string imageurl in Model.Image)
                                {
                                    string imagefullUrl = imageHost + imageurl;
                                    <a href="#" onclick="readURL('@imagefullUrl')" data-toggle="modal" data-target="#imageViewer">
                                        <div class="item">
                                            <img src="@imagefullUrl" alt="">
                                        </div>
                                    </a>
                                }
                            }
                        </div>
                    </div>
                </div>
            </div>
            @foreach (LoyaltyPointEngine.Model.Parameter.Receipt.UploadReceiptDetailCMSModel detail in Model.ReceiptDetails)
            {
                detailindex++;
                int quantityApproved = detail.QuantityApproved == 0 ? detail.Quantity : detail.QuantityApproved;
                //int totalpoint = detail.Points * quantityApproved;
                totalAll += detail.TotalPoints;
                string actionName = string.Empty;
                string campaignName = string.Empty;
                if (detail.ActionID.HasValue)
                {
                    var action = actionList.FirstOrDefault(x => x.Value == detail.ActionID.ToString());
                    if (action != null)
                    {
                        actionName = action.Text;
                    }
                }

                <div id="action-box">
                    <div class="row action-obj-@detailindex">
                        <div class="col-md-12">
                            <div class="widget box">
                                <div class="widget-header">
                                    <h4><i class="icon-reorder"></i>Receipt Detail</h4>
                                </div>
                                <div class="widget-content">
                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Action </label>
                                        <div class="col-md-9">
                                            @actionName
                                        </div>
                                    </div>
                                    @if (detail.ChildID.HasValue)
                                    {
                                        <div class="form-group">
                                            <label class="col-md-3 control-label">Child</label>
                                            <div class="col-md-9">
                                                @detail.ChildName
                                            </div>
                                        </div>
                                    }
                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Quantity </label>
                                        <div class="col-md-9">
                                            @detail.Quantity
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Points</label>
                                        <div class="col-md-9" onchange="SetTotalPoint(this.value, @detailindex)">
                                            @detail.Points
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Quantity Approved</label>
                                        <div class="col-md-9">
                                            @detail.QuantityApproved
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Total Quantity Approved Points</label>
                                        <div class="col-md-9">
                                            @detail.TotalPoints

                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Price Item</label>
                                        <div class="col-md-9">
                                            @detail.ItemPrice

                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Remarks</label>
                                        <div class="col-md-9">
                                            @detail.Remarks
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            }
            <div class="row">
                <div class="col-md-12 ta-center">
                    <label class="col-md-2 control-label">Total All </label>
                    <div class="col-md-2">
                        <input class="form-control" id="TotalAllPoint" name="TotalAllPoint" type="text" value="0" readonly>
                    </div>
                    <div class="col-md-2">
                        <input type="submit" value="Submit" class="btn btn-primary pull-right">
                    </div>
                </div>
            </div>
            <div class="row">
                <br />
            </div>
        </div>
        <!-- /Validation Example 1 -->
    </div>
}

<div class="modal fade" id="imageViewer" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="exampleModalLabel">View Image</h4>
            </div>
            <div class="modal-body">
                <div>
                    <picture>
                        <img id="blah" src="#" alt="your image" />
                    </picture>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>

@section FooterScript{
    <script type="text/javascript">
        function readURL(url) {
            $('#blah').attr('src', url);
        }

        $(document).ready(function () {
            var _TotalPoint =@totalAll ;
            $('#TotalAllPoint').val(_TotalPoint);
            $('.slickiiii').slick({
                infinite: false,
                slidesToShow: 2,
                slidesToScroll: 1
            });

            var frm = $('#formEditReceipt');
            var strAlert = '';
            frm.submit(function (ev) {
                ShowLoader();
                $.ajax({
                    type: frm.attr('method'),
                    url: frm.attr('action'),
                    data: frm.serialize(),
                    success: function (data) {
                        HideLoader();
                        strAlert += data.Message;
                        alert(ParseDom(strAlert));
                        if (data.IsSuccess) {
                            window.location.href = "@Url.Action(MVC.Receipt.Index())";
                        }
                    }
                });

                strAlert = '';
                ev.preventDefault();
            });
        });
    </script>
    <style>
        .slickiiii {
            width: 240px;
        }

            .slickiiii .item {
                width: 100px;
                height: 150px;
                margin: 2px 5px;
            }

                .slickiiii .item img {
                    max-width: 100%;
                    min-width: 100%;
                    max-height: 100%;
                    min-height: 100%;
                    object-fit: cover;
                }

            .slickiiii .slick-prev, .slickiiii .slick-next {
                background: #808080;
                height: 50px;
            }

            .slickiiii .slick-disabled {
                opacity: 0.4;
            }
    </style>
}